com.h3c.of.lib.msg

## Class OfmErrorExper

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmError
      - - com.h3c.of.lib.msg.OfmErrorExper

- All Implemented Interfaces:
    Message, Structure
  Direct Known Subclasses:
    OfmMutableErrorExper

      public class OfmErrorExper
      extends OfmError

  Represents an OpenFlow EXPERIMENTER ERROR message; Since 1.2.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExperimenterId` | `getExpId()` Returns the experimenter ID (if we know it); null otherwise; Since 1.2.
    `int` | `getExpType()` Returns the experimenter-defined type; Since 1.2.
    `int` | `getId()` Returns the experimenter ID encoded as an int; Since 1.2.
    `String` | `toString()`
    `void` | `validate()` Validates this message for completeness and throws an exception if the message is considered "not complete".

    - ### Methods inherited from class com.h3c.of.lib.msg.OfmError

      `getData, getErrorCode, getErrorMessage, getErrorType, toDebugString`

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OfmError`

    - #### validate

          public void validate()
                        throws IncompleteMessageException

      Description copied from class: `OpenflowMessage`
      Validates this message for completeness and throws an exception if the message is considered "not complete".

      This default implementation does nothing, i.e. default behavior is that messages are considered complete.

      Subclasses should override this method to check that mandatory fields or other internal state is present, throwing an exception if it is not.

      Overrides:
        `validate` in class `OfmError`
      Throws:
        `IncompleteMessageException` - if the message is not complete

    - #### getExpType

          public int getExpType()

      Returns the experimenter-defined type; Since 1.2.
      Returns:
        the experimenter-defined type

    - #### getId

          public int getId()

      Returns the experimenter ID encoded as an int; Since 1.2.
      Returns:
        the experimenter ID (encoded)

    - #### getExpId

          public ExperimenterId getExpId()

      Returns the experimenter ID (if we know it); null otherwise; Since 1.2.
      Returns:
        the experimenter ID

Copyright © 2014. All Rights Reserved.